Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface MarkerFeatureAdaptor

public interface MarkerFeatureAdaptor

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(Location location)` Fetch MarkerFeatures by location.
`java.util.List` | `fetch(Location loc, int minWeight)` MarkerFeatures in the specified location matching meeting the other criteria as well.
`MarkerFeature` | `fetch(long internalID)` Fetch MarkerFeature by internalID
`java.util.List` | `fetch(Marker marker)` Fetch MarkerFeatures with the specified Marker.

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch(Location loc,
                                int minWeight)
                         throws AdaptorException

  MarkerFeatures in the specified location matching meeting the other criteria as well.

  Parameters:
    `loc` - location filter.
    `minWeight` - minimum weight
  Returns:
    list of zero or more MarkerFeatures.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Marker marker)
                         throws AdaptorException

  Fetch MarkerFeatures with the specified Marker.

  Parameters:
    `marker` - marker associated with MarkerFeatures.
  Returns:
    zero or more MarkerFeatures corresponding to this marker.
  Throws:
    `AdaptorException`

### fetch

    public MarkerFeature fetch(long internalID)
                        throws AdaptorException

  Fetch MarkerFeature by internalID

  Parameters:
    `internalID` - id of MarkerFeature to retrieve
  Returns:
    marker feature with specified interalID, or null if none found
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location)
                         throws AdaptorException

  Fetch MarkerFeatures by location.

  Parameters:
    `location` - location on a sequence
  Returns:
    zero or more MarkerFeatures from the specified location.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD